juzu.io

## Class CharStream

- java.lang.Object
- - juzu.io.CharStream

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable, Stream
  Direct Known Subclasses:
    AppendableStream

      public abstract class CharStream
      extends Object
      implements Stream

  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from interface juzu.io.Stream

      `BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharStream(Charset charset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stream` | `append(byte[] data)`
    `Stream` | `append(byte[] data, int off, int len)`
    `Stream` | `append(ByteBuffer buffer)`
    `abstract Stream` | `append(char c)`
    `Stream` | `append(CharBuffer buffer)`
    `abstract Stream` | `append(CharSequence csq)`
    `abstract Stream` | `append(CharSequence csq, int start, int end)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.Flushable

      `flush`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Constructor Detail

    - #### CharStream

          public CharStream(Charset charset)

  - ### Method Detail

    - #### append

          public abstract Stream append(CharSequence csq)
                                 throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public abstract Stream append(CharSequence csq,
                      int start,
                      int end)
                                 throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public abstract Stream append(char c)
                                 throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public Stream append(byte[] data)
                        throws IOException

      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public Stream append(byte[] data,
                      int off,
                      int len)
                        throws IOException

      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public Stream append(ByteBuffer buffer)
                        throws IOException

      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public Stream append(CharBuffer buffer)
                        throws IOException

      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.